Detach a guarantor
curl --request POST \
--url https://api.yorlet.com/v1/guarantors/{id}/detach \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"remove_application_requirement": true
}
'import requests
url = "https://api.yorlet.com/v1/guarantors/{id}/detach"
payload = { "remove_application_requirement": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({remove_application_requirement: true})
};
fetch('https://api.yorlet.com/v1/guarantors/{id}/detach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/guarantors/{id}/detach",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'remove_application_requirement' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/guarantors/{id}/detach"
payload := strings.NewReader("{\n \"remove_application_requirement\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/guarantors/{id}/detach")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"remove_application_requirement\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/guarantors/{id}/detach")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"remove_application_requirement\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "guarantor",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"application": "<string>",
"application_status": "<string>",
"business_type": "individual",
"company": {
"name": "<string>",
"number": "<string>"
},
"contract": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"name": "<string>",
"phone": "<string>",
"status": "<string>",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
Whether to remove the application requirement when detaching the guarantor.
Response
Returns the guarantor object if the detach succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
guarantor The guarantor address.
Show child attributes
Show child attributes
The application associated with the guarantor.
The applicant status associated with the guarantor.
The guarantor business type.
individual, company Company details when business type is company.
Show child attributes
Show child attributes
The guarantor contract identifier.
The guarantor email.
The guarantor first name.
The guarantor last name.
The guarantor full name.
The guarantor phone.
The guarantor status.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/guarantors/{id}/detach \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"remove_application_requirement": true
}
'import requests
url = "https://api.yorlet.com/v1/guarantors/{id}/detach"
payload = { "remove_application_requirement": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({remove_application_requirement: true})
};
fetch('https://api.yorlet.com/v1/guarantors/{id}/detach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/guarantors/{id}/detach",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'remove_application_requirement' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/guarantors/{id}/detach"
payload := strings.NewReader("{\n \"remove_application_requirement\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/guarantors/{id}/detach")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"remove_application_requirement\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/guarantors/{id}/detach")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"remove_application_requirement\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "guarantor",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"application": "<string>",
"application_status": "<string>",
"business_type": "individual",
"company": {
"name": "<string>",
"number": "<string>"
},
"contract": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"name": "<string>",
"phone": "<string>",
"status": "<string>",
"account": "<string>",
"deleted": false
}